class CardListModel {
  // @ApiModelProperty(value = "农机Id")
  String? machineryId;
  // @ApiModelProperty(value = "名称")
  String? name;
  // @ApiModelProperty(value = "农机类型")
  String? typeId;
  // @ApiModelProperty(value = "类型名称")
  String? typeName;
  // @ApiModelProperty(value = "农机价格")
  num? price;
  // @ApiModelProperty(value = "主图")
  String? thumb;

  // @ApiModelProperty(value = "当前位置")
  String? location;

  // @ApiModelProperty(value = "距离")
  double? distance;

  // @ApiModelProperty(value = "机构ID")
  String? orgId;

  // @ApiModelProperty(value = "机构名称")
  String? orgName;

  // @ApiModelProperty(value = "工作状态")
  String? jobStatus;

  // @ApiModelProperty(value = "状态")
  int? status;

  // @ApiModelProperty(value = "内容详情")
  List<dynamic>? contentList;
  // @ApiModelProperty(value = "图片列表")
  List<dynamic>? imagesList;
  CardListModel();
  CardListModel.fromJson(Map<String, dynamic> json)
      : machineryId = json["machineryId"],
        name = json["name"],
        typeId = json["typeId"],
        typeName = json["typeName"],
        price = json["price"],
        thumb = json["thumb"],
        location = json["location"],
        distance = json["distance"],
        orgId = json["orgId"],
        orgName = json["orgName"],
        jobStatus = json["jobStatus"],
        status = json["status"],
        contentList = json["contentList"],
        imagesList = json["imagesList"];
  Map<String, dynamic> toJson() => {
        'machineryId': machineryId,
        'name': name,
        'typeId': typeId,
        'typeName': typeName,
        'price': price,
        'thumb': thumb,
        'location': location,
        'distance': distance,
        'orgId': orgId,
        'orgName': orgName,
        'jobStatus': jobStatus,
        'status': status,
        'contentList': contentList,
        'imagesList': imagesList,
      };
}
